Author Topic: I need help!  (Read 3528 times)

0 Members and 1 Guest are viewing this topic.

Offline Thomas the Death Machine

  • LV1 Newcomer (Next: 20)
  • *
  • Posts: 10
  • Rating: +0/-0
  • wode
    • View Profile
    • Steam Profile
I need help!
« on: August 14, 2014, 07:10:50 pm »
Ok, I'm new to this forum, I have no clue what i'm doing. lets start there.
I got a TI nspire cx cas a while back and recently learned about endless. the problem is that i haven't updated my calc so it is currently at 3.2, and since the most recent os is 3.9 I dont know where to get the os or how to upload it. school starts in a week for me so I would like to finish this soon.
not terrible at programming!



Offline ben_g

  • Hey cool I can set a custom title now :)
  • LV9 Veteran (Next: 1337)
  • *********
  • Posts: 1002
  • Rating: +125/-4
  • Asm noob
    • View Profile
    • Our programmer's team: GameCommandoSquad
Re: I need help!
« Reply #1 on: August 14, 2014, 07:27:24 pm »
3.9 doesn't offer many new features, and it's basically just made to block ndless again, so as long as your school doesn't force you to do it, I reccomend you to not update your calculator. Because your calculator is much simpler than a computer and not connected to the internet all the time, there are no security risks you have to worry about, and updating is often an unnessicary hassle anyway.
If you absolutely need OS 3.9 though, you can get it from ti's website (education.ti.com).
My projects
 - The Lost Survivors (Unreal Engine) ACTIVE [GameCommandoSquad main project]
 - Oxo, with single-calc multiplayer and AI (axe) RELEASED (screenshot) (topic)
 - An android version of oxo (java)  ACTIVE
 - A 3D collision detection library (axe) RELEASED! (topic)(screenshot)(more recent screenshot)(screenshot of it being used in a tilemapper)
Spoiler For inactive:
- A first person shooter with a polygon-based 3d engine. (z80, will probably be recoded in axe using GLib) ON HOLD (screenshot)
 - A java MORPG. (pc) DEEP COMA(read more)(screenshot)
 - a minecraft game in axe DEAD (source code available)
 - a 3D racing game (axe) ON HOLD (outdated screenshot of asm version)

This signature was last updated on 20/04/2015 and may be outdated

Offline Thomas the Death Machine

  • LV1 Newcomer (Next: 20)
  • *
  • Posts: 10
  • Rating: +0/-0
  • wode
    • View Profile
    • Steam Profile
Re: I need help!
« Reply #2 on: August 14, 2014, 07:28:27 pm »
Yeah but im trying to get 3.6
not terrible at programming!



Offline Thomas the Death Machine

  • LV1 Newcomer (Next: 20)
  • *
  • Posts: 10
  • Rating: +0/-0
  • wode
    • View Profile
    • Steam Profile
Re: I need help!
« Reply #3 on: August 14, 2014, 07:28:49 pm »
It's not required to update at my school
not terrible at programming!



Offline ben_g

  • Hey cool I can set a custom title now :)
  • LV9 Veteran (Next: 1337)
  • *********
  • Posts: 1002
  • Rating: +125/-4
  • Asm noob
    • View Profile
    • Our programmer's team: GameCommandoSquad
Re: I need help!
« Reply #4 on: August 14, 2014, 07:38:31 pm »
Well, first of all, try to avoid double-posting. You can use the modify button at the top left of your post to edit them.

Before you update, please think very carefully about the following things (I don't own an nspire, so this may be inaccurate and I may have forgotten a few things):
    - Installing OS 3.6 means that you will never be able to install OS 3.2 again, or any OS below 3.6.
    - OS 3.6 introduces some new bugs that may annoy you.
    - OS 3.6 uses a different version of ndless (ndless 3.6 instead of ndless 3.2), so some programs and games may not be compatible.
So if you're not 100% sure, be sure to at least try it in an emulator for some time, and make sure to do everything you'd normally do on that emulator in the new OS.

If, after all that, you are still sure you want to update your nspire, you can find the download links here.
My projects
 - The Lost Survivors (Unreal Engine) ACTIVE [GameCommandoSquad main project]
 - Oxo, with single-calc multiplayer and AI (axe) RELEASED (screenshot) (topic)
 - An android version of oxo (java)  ACTIVE
 - A 3D collision detection library (axe) RELEASED! (topic)(screenshot)(more recent screenshot)(screenshot of it being used in a tilemapper)
Spoiler For inactive:
- A first person shooter with a polygon-based 3d engine. (z80, will probably be recoded in axe using GLib) ON HOLD (screenshot)
 - A java MORPG. (pc) DEEP COMA(read more)(screenshot)
 - a minecraft game in axe DEAD (source code available)
 - a 3D racing game (axe) ON HOLD (outdated screenshot of asm version)

This signature was last updated on 20/04/2015 and may be outdated

Offline aeTIos

  • Nonbinary computing specialist
  • LV12 Extreme Poster (Next: 5000)
  • ************
  • Posts: 3913
  • Rating: +184/-32
    • View Profile
    • wank.party
Re: I need help!
« Reply #5 on: August 14, 2014, 07:42:11 pm »
Ndless 3.2 is nonexistent. In order to use ndless you need either OS 3.1 or 3.6.  I use 3.1 and I have no problems with it.
I'm not a nerd but I pretend:

Online DJ Omnimaga

  • Former TI programmer
  • CoT Emeritus
  • LV15 Omnimagician (Next: --)
  • *
  • Posts: 55838
  • Rating: +3151/-232
  • CodeWalrus founder & retired Omnimaga founder
    • View Profile
    • DJ Omnimaga Music
Re: I need help!
« Reply #6 on: August 14, 2014, 11:16:26 pm »
OS 3.6 is most likely no longer linked on TI website, if it's even on their servers anymore at all, but TI-Planet usually keeps track of OS URLs or if it's no longer available they keep copies intact. It's currently reachable via http://tiplanet.org/forum/archives_voir.php?id=29554 for the time being.

If you can manage to downgrade to OS 3.1, I would recommend it because it's smaller and has less bugs, but Lua is much slower and some Lua programs won't run. OS 3.1 and 3.6 are the ones that supports Ndless so make sure you don't upgrade to 3.9.
In case you are wondering where I went, I left Omni back in 2015 to form CodeWalrus due to various reasons explained back then, but I stopped calc dev in 2016 and am now mostly active on the CW Discord server at https://discord.gg/cuZcfcF



Official Website |T-Shirt store | Reverbnation | Facebook | Youtube | Twitter | Spotify

Offline Princetonlion.tibd

  • Agranovskiy Founder
  • Members
  • LV8 Addict (Next: 1000)
  • ********
  • Posts: 790
  • Rating: +3/-4
    • View Profile
    • Agranovskiy
Re: I need help!
« Reply #7 on: August 15, 2014, 12:24:02 am »
Doesn't TI make new N-spire OS versions just to block ndless? it's sort of n(ee)dless
Founder of Agranovskiy, a basic TI programming tutorial site.



I'm a USCF (United States Chess Federation) player.

Online DJ Omnimaga

  • Former TI programmer
  • CoT Emeritus
  • LV15 Omnimagician (Next: --)
  • *
  • Posts: 55838
  • Rating: +3151/-232
  • CodeWalrus founder & retired Omnimaga founder
    • View Profile
    • DJ Omnimaga Music
Re: I need help!
« Reply #8 on: August 15, 2014, 01:09:57 am »
Indeed, because most new versions barely even had anything new, yet still jumped very high in OS number. Some had notable improvements, such as OS 3.2, but other than that, not that much.
In case you are wondering where I went, I left Omni back in 2015 to form CodeWalrus due to various reasons explained back then, but I stopped calc dev in 2016 and am now mostly active on the CW Discord server at https://discord.gg/cuZcfcF



Official Website |T-Shirt store | Reverbnation | Facebook | Youtube | Twitter | Spotify

Offline Hayleia

  • Programming Absol
  • Coder Of Tomorrow
  • LV12 Extreme Poster (Next: 5000)
  • ************
  • Posts: 3367
  • Rating: +393/-7
    • View Profile
Re: I need help!
« Reply #9 on: August 15, 2014, 02:33:34 am »
What exactly is your OS ? Because there are several 3.2 OSes, including a nice one and a bad one.
What is your hardware revision (the thing looking like P-0711C at the back of your calculator, what's the last letter) ?

In some cases, you'll "only" be able to have OS 3.6 with Ndless 3.6 (not reboot proof). In other cases, you'll be able to have either OS 3.1 with Ndless 3.1 (reboot proof) or even OS 3.1 + OS 3.6 both on your calc and both with Ndless and both reboot proof.
I own: 83+ ; 84+SE ; 76.fr ; CX CAS ; Prizm ; 84+CSE
Sorry if I answer with something that seems unrelated, English is not my primary language and I might not have understood well. Sorry if I make English mistakes too.

click here to know where you got your last +1s